UiPath Documentation
automation-suite
2.2510
true
Automation Suite API 指南
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。 新发布内容的本地化可能需要 1-2 周的时间才能完成。

获取外部客户端

使用身份 API 从 Automation Suite 组织中检索特定的外部 OAuth 客户端,包括最早密码的密码 ID。

从组织中获取特定的外部客户端,并获取最早密码的密码 ID。

API 端点

GET https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}

作用域

需要以下任一作用域:

  • PM.OAuthApp
  • PM.OAuthApp.Read

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过身份验证方法中描述的其中一种方法进行身份验证。

请求正文

请求正文包含要从中获取外部客户端的组织 ID 以及相应的客户端 ID。

{
  "partitionGlobalId": "<organizationId>"
  "clientId": "<clientId>"
}
{
  "partitionGlobalId": "<organizationId>"
  "clientId": "<clientId>"
}

响应

200 成功

已成功检索到外部客户端。

{
  "name": "string",
  "id": "string",
  "secret": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "resources": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "scopes": [
        {
          "name": "string",
          "displayName": "string",
          "description": "string",
          "type": "user"
        }
      ]
    }
  ],
  "secrets": [
    {
      "id": 0,
      "description": "string",
      "secret": "string",
      "creationTime": "2025-07-18T12:57:01.155Z",
      "expiryTime": "2025-07-18T12:57:01.155Z"
    }
  ]
}
{
  "name": "string",
  "id": "string",
  "secret": "string",
  "isConfidential": true,
  "redirectUri": "string",
  "resources": [
    {
      "name": "string",
      "displayName": "string",
      "description": "string",
      "scopes": [
        {
          "name": "string",
          "displayName": "string",
          "description": "string",
          "type": "user"
        }
      ]
    }
  ],
  "secrets": [
    {
      "id": 0,
      "description": "string",
      "secret": "string",
      "creationTime": "2025-07-18T12:57:01.155Z",
      "expiryTime": "2025-07-18T12:57:01.155Z"
    }
  ]
}
  • API 端点
  • 作用域
  • 请求标头
  • 请求正文
  • 响应
  • 200 成功

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新